<?xml version="1.0"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
	<link rel="stylesheet" href="style.css" type="text/css" />
	<title>Using GSSMP</title>
</head>
<body>

<address><a href="index.html">Home</a> | <a href="install.html">Install</a> | 
Use |
<a href="screenshots.html">Screenshots</a> |
<a href="developers.html">Developers</a> |
<a href="contact.html">Contact</a></address>

<h1>Using GSSMP</h1>

<h2>Choosing music to play</h2>

<p>Click "Play Directory" in the "File" menu to choose a directory.  GSSMP will
start playing the first file it finds in there.  If you'd like to play a
specific file, click "Play File".</p>

<p>Click Next or Previous to change tracks, Pause to pause, and drag the slider
to skip around.</p>

<h2>Continuing recent tracks</h2>

<p>Tracks you have played recently are shown on the "Recent" menu.  Click one to
continue where you left off.</p>

<h2>Playing modes</h2>

<p>To choose shuffle mode, select "Shuffle" from the "Mode" menu.  This plays
the tracks inside your chosen directory, in random order.</p>

<p>To repeat the chosen track over and over, choose "Repeat One".</p>

<p>The other two "Mode" options play the tracks in your chosen directory in
alphabetical order of their filenames.  "Repeat All" starts again at the
beginning when it has finished, and "No Repeat" just stops when it gets to
the end.</p>

<h2>Tracks play in alphabetical order of filename</h2>

<p>Because it plays tracks in alphabetical order of filename,
GSSMP works best with music albums when tracks have filenames with
their track number first e.g. "03 - Working_for_the_Man.ogg" so it's best to
rip your tracks in this format if you can.  If this causes you major problems,
email the developers' list and someone should be able to knock up a script
for you that renames all your tracks automatically.</p>

<h2>Keyboard shortcuts</h2>

<p><b>Play/Pause</b> - Space</p>
<p><b>Next</b> - Ctrl-Right or Page Down</p>
<p><b>Previous</b> - Ctrl-Left or Page Up</p>

<h2>Submitting track information to last.fm</h2>

<p><a href="http://last.fm">last.fm</a> is a web site that collects statistics
about the music you and others are playing and recommends music you might
be interested in.  If you want to get GSSMP to submit information about what
tracks you are playing, go to the "Tools" menu and click "last.fm".  If you
have the lastfmsubmitd and lastfmsubmit programs installed, the checkbox should
be enabled and you can just click it to turn on track information submission.
If not, you will need to follow the instructions on how to
<a href="install-lastfm.html">install lastfmsubmitd</a>.</p>

<div style="float:right"><a href="http://sourceforge.net/projects/gssmp/"><img src="http://sflogo.sourceforge.net/sflogo.php?group_id=187144&amp;type=2" width="125" height="37" alt="SourceForge.net Logo" /></a></div>

<address><a href="index.html">Home</a> | <a href="install.html">Install</a> | 
Use |
<a href="screenshots.html">Screenshots</a> |
<a href="developers.html">Developers</a> |
<a href="contact.html">Contact</a></address>

</body>
</html>

